package main

import (
	"testing"

	"github.com/stretchr/testify/assert"
)

func TestNew21Game(t *testing.T) {
	assert.InDelta(t, 1.0, New21Game(10, 1, 10), 0.00001)
	assert.Equal(t, 0.6, New21Game(6, 1, 10))
	assert.InDelta(t, 0.73278, New21Game(21, 17, 10), 0.00001)
}
